<?php
/*
Plugin Name: Taamito
Plugin URI: https://taamito.com
Version: 1.0.0-beta
Description: Taamito Plugin
Requires at least: 6.8.3
Requires PHP: 8.1
Author: Milad Modaresi
Author URI: https://miladmodaresi.ir/
*/

// Make sure we don't expose any info if called directly

if (!function_exists('add_action')) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}

define('TAAMITO_VERSION', '1.0.0-beta');
define('TAAMITO_CRON_MINUTS', 2);
define('TAAMITO_MINIMUM_WP_VERSION', '6.8.3');
define('TAAMITO_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('TAAMITO_PLUGIN_FILE', __FILE__);
define('TAAMITO_PLUGIN_URL', plugin_dir_url(__FILE__));
include 'vendor/autoload.php';

if (function_exists('\Sentry\init') && class_exists('\Sentry\ClientBuilder')) {
    \Sentry\init([
        'dsn' => 'https://265d0863f99d6cb5bf944e2a4a44996e@sentry.taamito.com/8',
        'release' => TAAMITO_VERSION,
    ]);
}
include 'helpers.php';
include 'hooks.php';
